import { declare } from '@babel/helper-plugin-utils';
import helper from '@babel/helper-builder-react-jsx';
import { types } from '@babel/core';

var index = declare(api => {
  api.assertVersion("8.0.0-alpha.6");
  return {
    name: "transform-react-jsx-compat",
    manipulateOptions(_, parserOpts) {
      parserOpts.plugins.push("jsx");
    },
    visitor: helper({
      pre(state) {
        state.callee = state.tagExpr;
      },
      post(state) {
        if (types.react.isCompatTag(state.tagName)) {
          state.call = types.callExpression(types.memberExpression(types.memberExpression(types.identifier("React"), types.identifier("DOM")), state.tagExpr, types.isLiteral(state.tagExpr)), state.args);
        }
      },
      compat: true
    })
  };
});

export { index as default };
//# sourceMappingURL=index.js.map
